forked from iterative/dvc
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
- fixes iterative#2954
- Loading branch information
Showing
3 changed files
with
41 additions
and
15 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,27 @@ | ||
#!/bin/bash | ||
set -e | ||
set -x | ||
|
||
if [ ! -d "dvc" ]; then | ||
echo "Please run this script from repository root" | ||
exit 1 | ||
fi | ||
|
||
sudo snapcraft --use-lxd | ||
|
||
# Make sure we have a correct version | ||
if [[ -n "$TRAVIS_TAG" ]]; then | ||
pip uninstall -y dvc | ||
if which dvc; then | ||
echo "ERROR: dvc command still exists! Unable to verify dvc version." >&2 | ||
exit 1 | ||
fi | ||
sudo snap install --dangerous --classic dvc_*.snap | ||
if [[ "$(dvc --version)" != "$TRAVIS_TAG" ]]; then | ||
echo "ERROR: 'dvc --version'$(dvc -V) doesn't match '$TRAVIS_TAG'" >&2 | ||
exit 1 | ||
fi | ||
dvc version | ||
dvc get https://github.com/iterative/dvc scripts/innosetup/dvc.ico | ||
sudo snap remove dvc | ||
fi |